---
layout: page
title:  "Resources for Learners"
section: "resources_for_learners"
position: 2
---

## Videos

- [Scalding: Powerful & Concise MapReduce Programming](http://www.youtube.com/watch?v=LaAEhPoIm_A)
- [Scalding lecture for UC Berkeley's Analyzing Big Data with Twitter class](http://blogs.ischool.berkeley.edu/i290-abdt-s12/2012/11/03/video-lecture-intro-to-scalding-by-posco-and-argyris/)
- [Scalding REPL with Eclipse Scala Worksheets](http://youtu.be/Forl4hpg7kA)

## How-tos

- Scalding with CDH3U2 in a Maven project (TODO: Convert wiki page and link)
- [Running your Scalding jobs in Eclipse](http://hokiesuns.blogspot.com/2012/07/running-your-scalding-jobs-in-eclipse.html)
- [Running your Scalding jobs in IDEA intellij](http://willwhim.wpengine.com/2013/02/28/using-intellij-with-twitters-scalding/)
- [Running Scalding jobs on EMR](https://github.com/snowplow/scalding-example-project)
- [Running Scalding with HBase support](cookbook/hbase.html)
- [Using the distributed cache](https://github.com/twitter/scalding/wiki/Using-the-distributed-cache)
- [Unit Testing Scalding Jobs](http://www.agileatwork.com/unit-testing-scalding-jobs/)
- [TDD for Scalding](http://scalding.io/2014/07/applying-tdd-to-scalding-development/)
- [Using counters](https://github.com/tomer-ben-david-examples/scalding-counters-example)

## Tutorials

- [Scalding for the impatient](http://sujitpal.blogspot.com/2012/08/scalding-for-impatient.html)
- [Movie Recommendations and more in MapReduce and Scalding](http://blog.echen.me/2012/02/09/movie-recommendations-and-more-via-mapreduce-and-scalding/)
- [Generating Recommendations with MapReduce and Scalding](https://blog.twitter.com/2012/generating-recommendations-with-mapreduce-and-scalding)
- [Poker collusion detection with Mahout and Scalding](http://www.javacodegeeks.com/2012/08/mahout-and-scalding-for-poker-collusion.html)
- [Portfolio Management in Scalding](http://www.jasq.org/2/post/2012/12/portfolio-mgmt-in-scalding.html)
- [Find the Fastest Growing County in US, 1969-2011, using Scalding](https://gist.github.com/4696053)
- [Mod-4 matrix arithmetic with Scalding and Algebird](https://github.com/wibiclint/mod4matrix-arithmetic/blob/master/Mod4.scala)
- [Dean Wampler's Scalding Workshop](https://github.com/deanwampler/scalding-workshop)
- [Typesafe's Activator for Scalding](http://typesafe.com/activator/template/activator-scalding)

## Articles

- [Hive, Pig, Scalding, Scoobi, Scrunch and Spark: A Comparison of Hadoop Frameworks](http://blog.samibadawi.com/2012/03/hive-pig-scalding-scoobi-scrunch-and.html)
- [Why Hadoop MapReduce needs Scala](http://speakerdeck.com/u/agemooij/p/why-hadoop-mapreduce-needs-scala)
- [How Twitter is doing its part to democratize big data](http://gigaom.com/cloud/how-twitter-is-doing-its-part-to-democratize-big-data/)
- [Meet the combo powering Hadoop at Etsy, Airbnb and Climate Corp.](http://gigaom.com/data/meet-the-combo-behind-etsy-airbnb-and-climate-corp-hadoop-jobs/)
- [Scalding wins a Bossie award from InfoWorld](http://www.infoworld.com/slideshow/65089/bossie-awards-2012-the-best-open-source-databases-202354#slide3)
